// rework AS_Colors.inc

int		g_iColorsOther[] = {0xFFFFFF, 0xFF0000, 0x00AD00, 0x00FF00, 0x99FF99, 0xFF4040, 0xCCCCCC, 0xFFBD6B, 0xFA8B00, 0x99CCFF, 0x3D46FF, 0xFA00FA};
char	g_sColors[][] = {"{WHITE}", "{RED}", "{GREEN}", "{LIME}", "{LIGHTGREEN}", "{LIGHTRED}", "{GRAY}", "{LIGHTOLIVE}", "{OLIVE}", "{LIGHTBLUE}", "{BLUE}", "{PURPLE}"};
char	g_sColorsCSGO[][] = {"\x01", "\x02", "\x04", "\x05", "\x06", "\x07", "\x08", "\x09", "\x10", "\x0B", "\x0C", "\x0E"};
bool	g_bGame;

stock void CPrintToChat(int iClient, char[] sMessage, any ...)
{
	//if(iClient && IsClientInGame(iClient) && !IsFakeClient(iClient))
	{
		char sBuffer[256], sNewMessage[256];
		if(g_bGame)
		{
			Format(sBuffer, sizeof(sBuffer), " \x01%s", sMessage);
			VFormat(sNewMessage, sizeof(sNewMessage), sBuffer, 3);

			for(int i; i < 12; i++) ReplaceString(sNewMessage, sizeof(sNewMessage), g_sColors[i], g_sColorsCSGO[i]);
			ReplaceString(sNewMessage, sizeof(sNewMessage), "{TEAM}", "\x03");
		}
		else
		{
			Format(sBuffer, sizeof(sBuffer), "\x01%s", sMessage);
			VFormat(sNewMessage, sizeof(sNewMessage), sBuffer, 3);

			switch(GetClientTeam(iClient))
			{
				case 1: Format(sBuffer, sizeof(sBuffer), "\x07%06X", g_iColorsOther[6]);
				case 2: Format(sBuffer, sizeof(sBuffer), "\x07%06X", g_iColorsOther[5]);
				case 3: Format(sBuffer, sizeof(sBuffer), "\x07%06X", g_iColorsOther[9]);
			}

			ReplaceString(sNewMessage, sizeof(sNewMessage), "{TEAM}", sBuffer);
			for(int i; i < 12; i++)
			{
				Format(sBuffer, sizeof(sBuffer), "\x07%06X", g_iColorsOther[i]);
				ReplaceString(sNewMessage, sizeof(sNewMessage), g_sColors[i], sBuffer);
			}
		}

		Handle hBuffer = StartMessageOne("SayText2", iClient, USERMSG_RELIABLE | USERMSG_BLOCKHOOKS);
		if(hBuffer != null)
		{
			if(GetUserMessageType() == UM_Protobuf)
			{
				Protobuf hProtoBuffer = UserMessageToProtobuf(hBuffer);
				hProtoBuffer.SetInt("ent_idx", iClient);
				hProtoBuffer.SetBool("chat", true);
				hProtoBuffer.SetString("msg_name", sNewMessage);
				hProtoBuffer.AddString("params", "");
				hProtoBuffer.AddString("params", "");
				hProtoBuffer.AddString("params", "");
				hProtoBuffer.AddString("params", "");
			}
			else
			{
				BfWrite hBfBuffer = UserMessageToBfWrite(hBuffer);
				hBfBuffer.WriteByte(iClient);
				hBfBuffer.WriteByte(true);
				hBfBuffer.WriteString(sNewMessage);
			}
		}
		EndMessage();
	}
}

stock void CPrintToChatAll(const char[] sMessage, any ...)
{
	char sBuffer[256];
	VFormat(sBuffer, sizeof(sBuffer), sMessage, 2);
	
	for(int i = 1; i <= MaxClients; i++)
	{
		if(IsClientInGame(i))
		{
			/*SetGlobalTransTarget(i);
			VFormat(sBuffer, sizeof(sBuffer), sMessage, 2);*/
			CPrintToChat(i, sBuffer);
		}
	}
}